source: general.ent@ caed4c52

10.0 10.1 11.0 7.10 7.4 7.5 7.6 7.6-blfs 7.6-systemd 7.7 7.8 7.9 8.0 8.1 8.2 8.3 8.4 9.0 9.1 basic bdubbs/svn elogind gnome kde5-13430 kde5-14269 kde5-14686 ken/refactor-virt krejzi/svn lazarus nosym perl-modules qt5new systemd-11177 systemd-13485 trunk xry111/git-date xry111/git-date-for-trunk xry111/git-date-test
Last change on this file since caed4c52 was caed4c52, checked in by Krejzi <krejzi@…>, 9 years ago

Package updates.

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@10934 af4574ff-66df-0310-9fd7-8a98e5e911e0

  • Property mode set to 100644
File size: 40.7 KB
Line 
1<!--
2$LastChangedBy$
3$Date$
4-->
5
6<!ENTITY day "11"> <!-- Always 2 digits -->
7<!ENTITY month "01"> <!-- Always 2 digits -->
8<!ENTITY year "2013">
9<!ENTITY copyrightdate "2001-&year;">
10<!ENTITY copyholder "The BLFS Development Team">
11<!ENTITY version "&year;-&month;-&day;">
12<!ENTITY releasedate "January 11th, &year;">
13<!ENTITY pubdate "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
14<!ENTITY blfs-version "svn"> <!-- svn|[release #] -->
15<!ENTITY lfs-version "development"> <!-- version|testing|unstable|development] -->
16<!ENTITY last-commit "$Date$"> <!-- Automatic update -->
17<!ENTITY lfs-domainname "linuxfromscratch.org">
18
19<!ENTITY maintainer-fullname "The BLFS Team">
20<!ENTITY maintainer-firstname "BLFS">
21<!ENTITY maintainer-address "blfs-maintainer@&lfs-domainname;">
22
23<!ENTITY downloads-root "http://www.linuxfromscratch.org/blfs/downloads/svn">
24<!ENTITY downloads-project "http://downloads.&lfs-domainname;">
25<!ENTITY sources-anduin-http "http://anduin.&lfs-domainname;/sources/BLFS/svn">
26<!ENTITY sources-anduin-ftp "ftp://anduin.&lfs-domainname;/BLFS/svn">
27<!ENTITY sources-anduin-other "ftp://anduin.&lfs-domainname;/other">
28<!ENTITY files-anduin "http://anduin.&lfs-domainname;/files/BLFS/svn">
29<!ENTITY hints-root "http://www.&lfs-domainname;/hints">
30<!ENTITY patch-downloads "http://www.linuxfromscratch.org/patches/downloads">
31<!ENTITY patch-root "http://www.&lfs-domainname;/patches/blfs/svn">
32<!ENTITY errata "http://www.&lfs-domainname;/blfs/errata/&blfs-version;/">
33<!ENTITY blfs-ticket-root "http://wiki.&lfs-domainname;/blfs/ticket/">
34<!-- <!ENTITY lfs-root "http://www.&lfs-domainname;/lfs/view/&lfs-version;"> -->
35<!ENTITY lfs-root "../../../../lfs/view/&lfs-version;">
36<!ENTITY lfs-dev "../../../../lfs/view/development">
37<!ENTITY kernel "http://www.kernel.org/pub/">
38<!ENTITY gstreamer-dl "http://gstreamer.freedesktop.org/src">
39<!ENTITY gnu-alpha-ftp "ftp://alpha.gnu.org/gnu/">
40<!ENTITY gnu-alpha-http "http://alpha.gnu.org/gnu/">
41<!ENTITY sourceforge-repo "http://downloads.sourceforge.net">
42<!ENTITY sourceforge-repo2 "http://sourceforge.net">
43<!ENTITY gentoo-ftp-repo "ftp://mirror.ovh.net/gentoo-distfiles/distfiles">
44<!ENTITY trinity-repo-ftp "ftp://anduin.&lfs-domainname;/trinity">
45<!ENTITY trinity-repo-http "http://anduin.&lfs-domainname;/sources/trinity">
46<!ENTITY publisher "Unknown">
47<!ENTITY xorg-download-http "http://xorg.freedesktop.org/releases/individual">
48<!ENTITY xorg-download-ftp "ftp://ftp.x.org/pub/individual">
49<!ENTITY mozilla-http "http://releases.mozilla.org/pub/mozilla.org">
50<!ENTITY mozilla-ftp "ftp://ftp.mozilla.org/pub/mozilla.org">
51
52<!-- These entities are used to identify versions of LFS
53 packages referenced throughout the BLFS book. -->
54<!ENTITY lfs-autoconf-version "2.67">
55<!ENTITY lfs-coreutils-version "8.5">
56<!ENTITY lfs-e2fsprogs-version "1.41.12">
57<!ENTITY lfs-flex-version "2.5.35">
58<!ENTITY lfs-gcc-version "4.7.2">
59<!ENTITY lfs-gdbm-version "1.8.3">
60<!ENTITY lfs-m4-version "1.4.14">
61<!-- this was originally the perl version used by the corresponding
62 version of lfs, in those days always for i686, but now BLFS is a rolling
63 release -->
64<!ENTITY lfs-perl-version "&lt;5.x.y&gt;/&lt;arch-linux&gt;">
65<!ENTITY lfs-shadow-version "4.1.5">
66<!ENTITY lfs-vim-version "7.3">
67<!-- End LFS versions -->
68
69<!ENTITY blfs-bootscripts-version "20120828">
70<!ENTITY blfs-bootscripts-download "&downloads-root;/blfs-bootscripts-&blfs-bootscripts-version;.tar.bz2">
71
72<!ENTITY blfs-wiki "http://wiki.&lfs-domainname;/blfs/wiki">
73
74<!-- These entities are used to annotate the current status of a package as it
75 relates to the version of LFS it will build/work against -->
76<!ENTITY lfs65_checked "<para>This package is known to build and work
77 properly using an LFS-6.5 platform.</para>">
78<!ENTITY lfs65_built "<para>This package is known to build using an LFS
79 6.5 platform but has not been tested.</para>">
80<!ENTITY lfs65_needs_update "<para>This package is known to build and work
81 properly using an LFS-6.5 platform if you use
82 current package sources. See <xref
83 linkend='package_updates'/> for more
84 information.</para>">
85<!ENTITY lfs66_checked "<para>This package is known to build and work
86 properly using an LFS-6.6 platform.</para>">
87<!ENTITY lfs66_built "<para>This package is known to build using an LFS
88 6.6 platform but has not been tested.</para>">
89<!ENTITY lfs67_checked "<para>This package is known to build and work
90 properly using an LFS-6.7 platform.</para>">
91<!ENTITY lfs67_built "<para>This package is known to build using an LFS
92 6.7 platform but has not been tested.</para>">
93<!ENTITY lfs68_checked "<para>This package is known to build and work
94 properly using an LFS-6.8 platform.</para>">
95<!ENTITY lfs68_built "<para>This package is known to build using an LFS
96 6.8 platform but has not been tested.</para>">
97<!ENTITY lfs70_checked "<para>This package is known to build and work
98 properly using an LFS-7.0 platform.</para>">
99<!ENTITY lfs70_built "<para>This package is known to build using an LFS
100 7.0 platform but has not been tested.</para>">
101<!ENTITY lfs71_checked "<para>This package is known to build and work
102 properly using an LFS-7.1 platform.</para>">
103<!ENTITY lfs71_built "<para>This package is known to build using an LFS
104 7.1 platform but has not been tested.</para>">
105<!ENTITY lfs72_checked "<para>This package is known to build and work
106 properly using an LFS-7.2 platform.</para>">
107<!ENTITY lfs72_built "<para>This package is known to build using an LFS
108 7.2 platform but has not been tested.</para>">
109
110<!-- usage: <para>&lfssvn_checked;ccyymmdd&lfssvn_checked2;</para> -->
111<!ENTITY lfssvn_checked "This package is known to build and work properly
112 using an LFS-SVN-">
113<!ENTITY lfssvn_checked2 " platform.">
114<!ENTITY lfssvn_built "This package is known to build using an LFS-SVN-">
115<!ENTITY lfssvn_built2 " platform but has not been tested.">
116<!-- End special entities about LFS compatibility -->
117
118<!ENTITY as_root "<note><para>When installing multiple packages in a script,
119 the installation needs to be done as the root user. There are three general
120 options that can be used to do this:</para>
121
122 <orderedlist>
123
124 <listitem><para>Run the entire script as the root user (not
125 recommended).</para></listitem>
126
127 <listitem><para>Use the <command>sudo</command> command from the <xref
128 linkend='sudo'/> package.</para></listitem>
129
130 <listitem><para>Use <command>su -c &quot;command arguments&quot;</command>
131 (quotes required) which will ask for the root password for every iteration
132 of the loop.</para></listitem>
133
134 </orderedlist>
135
136 <para>One way to handle this situation is to create a short
137 <command>bash</command> function that automatically selects the appropriate
138 method. Once the command is set in the environment, it does not need to be
139 set again.</para>
140
141 <screen><userinput>as_root()
142{
143 if [ $EUID = 0 ]; then $*
144 elif [ -x /usr/bin/sudo ]; then sudo $*
145 else su -c \\&quot;$*\\&quot;
146 fi
147}
148
149export -f as_root</userinput></screen>
150</note>">
151
152<!ENTITY not-katamari "<para>This package is not a part of the Xorg
153 katamari and is provided only as a dependency to
154 other packages or for testing the completed Xorg
155 installation.</para>">
156
157<!ENTITY gst-compat "<note><para><application>GStreamer</application> 1.0 series
158 is not API or ABI compatible with
159 <application>GStreamer</application> 0.10 series and both
160 can be installed on the same system.</para></note>">
161
162<!-- Part II -->
163<!-- Chapter 3 -->
164<!ENTITY initd-tools-version "0.1.3">
165<!ENTITY lsb-release-version "1.4">
166
167<!-- Chapter 4 -->
168
169<!ENTITY acl-version "2.2.51">
170<!ENTITY attr-version "2.4.46">
171<!ENTITY consolekit-version "0.4.6">
172<!ENTITY cracklib-version "2.8.19">
173<!ENTITY cyrus-sasl-version "2.1.25">
174<!ENTITY gnupg-version "1.4.12">
175<!ENTITY gnupg2-version "2.0.19">
176<!ENTITY gnutls-version "3.1.6">
177<!ENTITY gpgme-version "1.3.2">
178<!ENTITY iptables-version "1.4.17">
179<!ENTITY libcap2-version "2.22">
180<!ENTITY liboauth-version "1.0.0">
181<!ENTITY libpwquality-version "1.2.0">
182<!ENTITY linux-pam-version "1.1.6">
183<!ENTITY mitkrb-version "1.11">
184<!ENTITY nettle-version "2.5">
185<!ENTITY nss-major-version "14">
186<!ENTITY nss-minor-version "1">
187<!ENTITY nss-version "3.&nss-major-version;.&nss-minor-version;">
188<!ENTITY openssh-version "6.1p1">
189<!ENTITY openssl-version "1.0.1c">
190<!ENTITY p11-kit-version "0.14">
191<!ENTITY polkit-version "0.109">
192<!ENTITY shadow-version "4.1.5.1">
193<!ENTITY stunnel-version "4.54">
194<!ENTITY sudo-version "1.8.6p3">
195<!ENTITY tripwire-version "2.4.2.2">
196
197<!-- Chapter 5 -->
198<!ENTITY fuse-version "2.9.2">
199<!ENTITY jfsutils-version "1.1.15">
200<!ENTITY lvm2-version "2.02.98">
201<!ENTITY mdadm-version "3.2.6">
202<!ENTITY ntfs-3g-version "2012.1.15">
203<!ENTITY gptfdisk-version "0.8.5">
204<!ENTITY parted-version "3.1">
205<!ENTITY reiser-version "3.6.21">
206<!ENTITY sshfs-fuse-version "2.4">
207<!ENTITY xfsprogs-version "3.1.10">
208
209<!-- Chapter 6 -->
210<!ENTITY bluefish-version "2.2.3">
211<!ENTITY ed-version "1.6">
212<!ENTITY emacs-version "24.2">
213<!ENTITY joe-version "3.7">
214<!ENTITY nano-version "2.3.1">
215<!ENTITY vim-version "7.3">
216
217<!-- Chapter 7 -->
218<!ENTITY dash-version "0.5.7">
219<!ENTITY tcsh-version "6.18.01">
220<!ENTITY zsh-version "5.0.0">
221
222<!-- Chapter 8 Virtualization -->
223<!ENTITY qemu-kvm-version "1.2.0">
224
225<!-- Part III -->
226<!-- Chapter 9 -->
227<!ENTITY apr-version "1.4.6">
228<!ENTITY aspell-version "0.60.6.1">
229
230<!ENTITY boost-major "1">
231<!ENTITY boost-minor "52">
232<!ENTITY boost-patch "0">
233<!ENTITY boost-version "&boost-major;.&boost-minor;.&boost-patch;">
234<!ENTITY boost-dl-version "&boost-major;_&boost-minor;_&boost-patch;">
235
236<!ENTITY enchant-version "1.6.0">
237<!ENTITY exempi-version "2.2.0">
238<!ENTITY expat-version "2.1.0">
239<!ENTITY gamin-version "0.1.10">
240<!ENTITY glib2-version "2.34.3">
241<!ENTITY glibmm-version "2.34.1">
242<!ENTITY gmime-version "2.6.13">
243<!ENTITY gobject-introspection-version "1.34.2">
244<!ENTITY gsl-version "1.15">
245
246<!ENTITY icu-major "50">
247<!ENTITY icu-minor "1">
248<!ENTITY icu-patch "1">
249<!ENTITY icu-version "&icu-major;.&icu-minor;.&icu-patch;">
250<!ENTITY icu-dl-version "&icu-major;_&icu-minor;_&icu-patch;">
251
252<!ENTITY iso-codes-version "3.40">
253<!ENTITY json-c-version "0.9">
254<!ENTITY json-glib-version "0.15.2">
255<!ENTITY keyutils-version "1.5.5">
256<!ENTITY libassuan-version "2.0.3">
257<!ENTITY libatasmart-version "0.19">
258<!ENTITY libatomic_ops-version "7.2d">
259<!ENTITY libcroco-version "0.6.8">
260<!ENTITY libdaemon-version "0.14">
261<!ENTITY libdbusmenu-qt-version "0.9.2">
262<!ENTITY libdrm-version "2.4.40">
263<!ENTITY libesmtp-version "1.0.6">
264<!ENTITY libffi-version "3.0.11">
265<!ENTITY libgcrypt-version "1.5.0">
266<!ENTITY libglade-version "2.6.4">
267<!ENTITY libgpg-error-version "1.10">
268<!ENTITY libgsf-version "1.14.25">
269<!ENTITY libical-version "0.48">
270<!ENTITY libidl-version "0.8.14">
271<!ENTITY libidn-version "1.25">
272<!ENTITY libksba-version "1.3.0">
273<!ENTITY libsigc-version "2.2.11">
274<!ENTITY libtasn1-version "3.2">
275<!ENTITY libunique-version "3.0.2">
276<!ENTITY libunistring-version "0.9.3">
277<!ENTITY libusb-version "1.0.9">
278<!ENTITY libusb-compat-version "0.1.4">
279<!ENTITY libxml2-version "2.9.0">
280<!ENTITY libxslt-version "1.1.28">
281<!ENTITY LZO-version "2.06">
282<!ENTITY mtdev-version "1.1.3">
283<!ENTITY nspr-version "4.9.4">
284<!ENTITY openobex-version "1.6">
285<!ENTITY pcre-version "8.32">
286<!ENTITY popt-version "1.16">
287<!ENTITY pth-version "2.0.7">
288<!ENTITY ptlib-version "2.10.9">
289<!ENTITY qca-version "2.0.3">
290<!ENTITY sbc-version "1.0">
291<!ENTITY slib-version "3b3">
292<!ENTITY talloc-version "2.0.8">
293<!ENTITY telepathy-farstream-version "0.6.0">
294<!ENTITY telepathy-glib-version "0.20.1">
295<!ENTITY telepathy-logger-version "0.6.0">
296<!ENTITY telepathy-mission-control-version "5.14.0">
297<!ENTITY wv-version "1.2.9">
298
299<!-- Chapter 10 -->
300<!ENTITY aalib-version "1.4rc5">
301<!ENTITY babl-version "0.1.10">
302<!ENTITY exiv2-version "0.23">
303<!ENTITY freetype2-version "2.4.11">
304<!ENTITY fontconfig-version "2.10.2">
305<!ENTITY fribidi-version "0.19.5">
306<!ENTITY gegl-version "0.2.0">
307<!ENTITY giflib-version "4.1.6">
308<!ENTITY harfbuzz-version "0.9.9">
309<!ENTITY ijs-version "0.35">
310<!ENTITY imlib2-version "1.4.5">
311<!ENTITY jasper-version "1.900.1">
312<!ENTITY lcms-version "1.19">
313<!ENTITY lcms2-version "2.4">
314<!ENTITY libart_lgpl-version "2.3.21">
315<!ENTITY libexif-version "0.6.21">
316<!ENTITY libjpeg-version "8d">
317<!ENTITY libmng-version "1.0.10">
318<!ENTITY libpng-version "1.5.13">
319<!ENTITY librsvg-version "2.36.4">
320<!ENTITY libtiff-version "4.0.3">
321<!ENTITY openjpeg-version "1.5.1">
322<!ENTITY pixman-version "0.28.2">
323<!ENTITY poppler-version "0.22.0">
324<!ENTITY qpdf-version "4.0.0">
325
326<!-- Chapter 11 -->
327<!ENTITY apr-util-version "1.5.1">
328<!ENTITY bc-version "1.06.95">
329<!ENTITY compface-version "1.5.2">
330<!ENTITY desktop-file-utils-version "0.21">
331<!ENTITY gperf-version "3.0.4">
332<!ENTITY graphviz-version "2.28.0">
333<!ENTITY gtk-doc-version "1.18">
334<!ENTITY hd2u-version "1.0.3">
335<!ENTITY icon-naming-utils-version "0.8.90">
336<!ENTITY imagemagick-version "6.7.9">
337<!ENTITY intltool-version "0.50.2">
338<!ENTITY libiodbc-version "3.52.8">
339<!ENTITY pinentry-version "0.8.2">
340<!ENTITY rarian-version "0.8.1">
341<!ENTITY recode-version "3.6">
342<!ENTITY rep-gtk-version "0.90.8.1">
343<!ENTITY rxvt-unicode-version "9.15">
344<!ENTITY screen-version "4.0.3">
345<!ENTITY sharutils-version "4.11.1">
346<!ENTITY spidermonkey-version "1.0.0">
347<!ENTITY tidy-version "cvs_20101110">
348<!ENTITY unixodbc-version "2.3.1">
349<!ENTITY xscreensaver-version "5.20">
350
351<!-- Chapter 12 -->
352<!ENTITY apache-ant-version "1.8.4">
353<!ENTITY at-version "3.1.13">
354<!ENTITY autofs-version "5.0.7">
355<!ENTITY bluez-version "4.101">
356<!ENTITY colord-version "0.1.26">
357<!ENTITY cpio-version "2.11">
358<!ENTITY dbus-version "1.6.8">
359<!ENTITY dbus-glib-version "0.100">
360<!ENTITY dbus-python-version "1.1.1">
361<!ENTITY eject-version "2.1.5">
362<!ENTITY fcron-version "3.0.6">
363<!ENTITY gpm-version "1.20.7">
364<!ENTITY hdparm-version "9.42">
365<!ENTITY ibus-version "1.5.1">
366<!ENTITY libarchive-version "3.0.4">
367<!ENTITY lm_sensors-version "3.3.3">
368<!ENTITY mc-version "4.8.6">
369<!ENTITY obex-data-server-version "0.4.6">
370<!ENTITY obexd-version "0.48">
371<!ENTITY pciutils-version "3.1.10">
372<!ENTITY raptor-version "2.0.8">
373<!ENTITY rasqal-version "0.9.29">
374<!ENTITY redland-version "1.0.16">
375<!ENTITY sg3_utils-version "1.34">
376<!ENTITY strigi-version "0.7.7">
377<!ENTITY sysstat-version "10.0.5">
378<!ENTITY udev-version "Installed LFS Version">
379<!ENTITY udisks-version "1.0.4">
380<!ENTITY udisks2-version "2.0.1">
381<!ENTITY unrar-version "4.2.4">
382<!ENTITY unzip-version "6.0">
383<!ENTITY upower-version "0.9.19">
384<!ENTITY usbutils-version "006">
385<!ENTITY which-version "2.20">
386<!ENTITY zip-version "3.0">
387
388<!-- Chapter 13 -->
389<!ENTITY bazaar-version "2.5.0">
390<!ENTITY check-version "0.9.9">
391<!ENTITY cmake-version "2.8.10">
392<!ENTITY cvs-version "1.11.23">
393<!ENTITY dejagnu-version "1.5">
394<!ENTITY doxygen-version "1.8.2">
395<!ENTITY expect-version "5.45">
396<!ENTITY gcc-version "4.7.2">
397<!ENTITY gc-version "7.2d">
398<!ENTITY gdb-version "7.5">
399<!ENTITY git-version "1.8.0">
400<!ENTITY guile-version "2.0.7">
401<!ENTITY icedtea-version "2.3.3">
402<!ENTITY openjdk-version "1.7.0.9">
403<!ENTITY junit-version "4.10">
404<!ENTITY librep-version "0.92.2.1">
405<!ENTITY llvm-version "3.2">
406<!ENTITY mercurial-version "2.3.2">
407<!ENTITY NASM-version "2.10.07">
408<!ENTITY php-version "5.4.8">
409<!ENTITY pkgconfig-version "0.27.1">
410<!ENTITY python2-version "2.7.3">
411<!ENTITY python3-version "3.3.0">
412<!ENTITY ruby-version "1.9.3-p362">
413<!ENTITY slang-version "2.2.4">
414<!ENTITY subversion-version "1.7.7">
415<!ENTITY tcl-version "8.5.12">
416<!ENTITY tk-version "8.5.12">
417<!ENTITY vala-version "0.18.1">
418<!ENTITY yasm-version "1.2.0">
419
420<!ENTITY cmake-major-version "2.8">
421<!ENTITY python2-majorver "2.7">
422<!ENTITY python3-majorver "3.3">
423
424<!-- Perl module versions used in the Perl Modules instructions -->
425<!ENTITY Archive-Zip-version "1.30">
426<!ENTITY Crypt-SSLeay-version "0.64">
427<!ENTITY Date-Manip-version "6.37">
428<!ENTITY ExtUtils-Depends-version "0.304">
429<!ENTITY ExtUtils-PkgConfig-version "1.13">
430<!ENTITY Finance-Quote-version "1.18">
431<!ENTITY Glib-perl-version "1.280">
432<!ENTITY HTML-Parser-version "3.69">
433<!ENTITY HTML-TableExtract-version "2.11">
434<!ENTITY LWP-version "6.04">
435<!ENTITY Net-DNS-version "0.70">
436<!ENTITY SGMLSpm-version "1.1">
437<!ENTITY URI-version "1.60">
438<!ENTITY XML-Parser-version "2.41">
439<!ENTITY XML-Simple-version "2.20">
440
441<!-- Python module versions used in the Python Modules instructions -->
442<!ENTITY notify-python-version "0.1.1">
443<!ENTITY pyxml-version "0.8.4">
444<!ENTITY py2cairo-version "1.10.0">
445<!ENTITY pygobject2-version "2.28.6">
446<!ENTITY pygobject3-version "3.4.2">
447<!ENTITY pygtk-version "2.24.0">
448<!ENTITY pygtksourceview-version "2.10.1">
449<!ENTITY pyatspi2-version "2.6.0">
450<!ENTITY pyrex-version "0.9.9">
451<!ENTITY pyxdg-version "0.23">
452
453<!-- Part IV -->
454<!-- Chapter 14 -->
455<!ENTITY ppp-version "2.4.5">
456<!ENTITY dhcpcd-version "5.6.2">
457<!ENTITY dhcp-version "4.2.4-P2">
458
459<!-- Chapter 15 -->
460<!ENTITY bridgeutils-version "1.5">
461<!ENTITY cifsutils-version "5.7">
462<!ENTITY ncftp-version "3.2.5">
463<!ENTITY net-tools-version "CVS_20101030">
464<!ENTITY nfs-utils-version "1.2.6">
465<!ENTITY ntp-version "4.2.6p5">
466<!ENTITY rpcbind-version "0.2.0">
467<!ENTITY rsync-version "3.0.9">
468<!ENTITY samba3-version "3.6.10">
469<!ENTITY wget-version "1.14">
470<!ENTITY wireless-tools-version "29">
471<!ENTITY wpa_supplicant-version "1.1">
472
473<!-- Chapter 16 -->
474<!ENTITY avahi-version "0.6.31">
475<!ENTITY bind-version "9.9.2">
476<!ENTITY mod_dnssd-version "0.6">
477<!ENTITY NetworkManager-version "0.9.6.4">
478<!ENTITY nmap-version "6.01">
479<!ENTITY traceroute-version "2.0.18">
480<!ENTITY whois-version "5.0.20">
481<!ENTITY wicd-version "1.7.2.4">
482<!ENTITY wireshark-version "1.8.3">
483
484<!ENTITY wicd-major-version "1.7">
485
486<!-- Chapter 17 -->
487<!ENTITY curl-version "7.28.1">
488<!ENTITY geoclue-version "0.12.0">
489<!ENTITY glib-networking-version "2.34.2">
490<!ENTITY libevent-version "2.0.21">
491<!ENTITY libnice-version "0.1.3">
492<!ENTITY libnl-version "3.2.16">
493<!ENTITY libpcap-version "1.3.0">
494<!ENTITY libproxy-version "0.4.7">
495<!ENTITY librest-version "0.7.90">
496<!ENTITY libsoup-version "2.40.2">
497<!ENTITY libtirpc-version "0.2.2">
498<!ENTITY neon-version "0.29.6">
499
500<!-- Chapter 18 -->
501<!ENTITY Links-version "2.7">
502<!ENTITY lynx-version "2.8.8dev.14">
503<!ENTITY w3m-version "0.5.3">
504
505<!-- Chapter 19 -->
506<!ENTITY mailx-version "12.4">
507<!ENTITY procmail-version "3.22">
508<!ENTITY fetchmail-version "6.3.21">
509<!ENTITY mutt-version "1.5.21">
510<!ENTITY re-alpine-version "2.02">
511<!ENTITY tin-version "1.8.3">
512
513<!-- Part V -->
514<!-- Chapter 20 -->
515<!ENTITY apache-version "2.4.3">
516<!ENTITY proftpd-version "1.3.4b">
517<!ENTITY vsftpd-version "3.0.2">
518
519<!-- Chapter 21 -->
520<!ENTITY exim-version "4.80.1">
521<!ENTITY postfix-version "2.9.4">
522<!ENTITY qpopper-version "4.1.0">
523<!ENTITY sendmail-version "8.14.5">
524
525<!-- Chapter 22 -->
526<!ENTITY db-version "5.3.21">
527<!ENTITY mysql-version "5.5.28">
528<!ENTITY postgresql-version "9.2.1">
529<!ENTITY sqlite-version "3.7.15.2">
530
531<!-- Chapter 23 -->
532<!ENTITY openldap-version "2.4.33">
533<!ENTITY virtuoso-version "6.1.6">
534<!ENTITY soprano-version "2.8.0">
535<!ENTITY xinetd-version "2.3.15">
536
537<!-- Part VI -->
538<!-- Chapter 24 -->
539<!ENTITY xorg-version "7.7">
540<!ENTITY util-macros-version "1.17">
541<!ENTITY makedepend-version "1.0.4">
542<!ENTITY libXau-version "1.0.7">
543<!ENTITY libXdmcp-version "1.1.1">
544<!ENTITY libpthread-stubs-version "0.3">
545<!ENTITY xcb-proto-version "1.8">
546<!ENTITY libxcb-version "1.9">
547<!ENTITY xbitmaps-version "1.1.1">
548<!ENTITY xcursor-themes-version "1.0.3">
549<!ENTITY xkeyboard-config-version "2.7">
550<!ENTITY mesalib-version "9.0.1">
551<!ENTITY glu-version "9.0.0">
552<!ENTITY xcb-util-version "0.3.9">
553<!ENTITY printproto-version "1.0.5">
554<!ENTITY libXp-version "1.0.1">
555<!ENTITY xorg-server-version "1.13.1">
556<!ENTITY twm-version "1.0.7">
557<!ENTITY xterm-version "279">
558<!ENTITY xclock-version "1.0.6">
559<!ENTITY xinit-version "1.3.2">
560
561<!-- Chapter 25 -->
562<!ENTITY agg-version "2.5">
563<!ENTITY atk-version "2.6.0">
564<!ENTITY atkmm-version "2.22.6">
565<!ENTITY at-spi2-core-version "2.6.3">
566<!ENTITY at-spi2-atk-version "2.6.2">
567<!ENTITY cairo-version "1.12.8">
568<!ENTITY cairomm-version "1.10.0">
569<!ENTITY cogl-version "1.12.2">
570<!ENTITY clutter-version "1.12.2">
571<!ENTITY clutter-gst2-version "1.9.92">
572<!ENTITY clutter-gtk-version "1.4.2">
573<!ENTITY colord-gtk-version "0.1.24">
574<!ENTITY freeglut-version "2.8.0">
575<!ENTITY gdk-pixbuf-version "2.26.5">
576<!ENTITY goffice-version "0.8.17">
577<!ENTITY gtk2-version "2.24.14">
578<!ENTITY gtk3-version "3.6.4">
579<!ENTITY gtk-engines-version "2.20.2">
580<!ENTITY gtkmm2-version "2.24.2">
581<!ENTITY gtkmm3-version "3.6.0">
582<!ENTITY gtk-vnc-version "0.5.1">
583<!ENTITY hicolor-icon-theme-version "0.12">
584<!ENTITY libnotify-version "0.7.5">
585<!ENTITY libxklavier-version "5.3">
586<!ENTITY notification-daemon-version "0.7.6">
587<!ENTITY pango-version "1.32.5">
588<!ENTITY pangox-version "0.0.2">
589<!ENTITY pangomm-version "2.28.4">
590<!ENTITY qt-version "4.8.4">
591<!ENTITY shared-mime-info-version "1.0">
592<!ENTITY startup-notification-version "0.12">
593<!ENTITY webkitgtk-version "1.10.2">
594<!ENTITY xulrunner-version "16.0.1">
595
596<!ENTITY gtk2-libdir "2.0/2.10.0">
597<!ENTITY qt-dir "$QTDIR">
598
599<!-- Removed
600<!ENTITY libsexy-version "0.1.11">
601<!ENTITY mx-version "1.4.6">
602-->
603
604<!-- Chapter 26 -->
605<!ENTITY fluxbox-version "1.3.2">
606<!ENTITY icewm-version "1.3.7">
607<!ENTITY openbox-version "3.5.0">
608<!ENTITY sawfish-version "1.9.1">
609
610<!-- Part VII -->
611<!-- Chapters 27-29 -->
612<!ENTITY kde-version "4.9.5">
613<!ENTITY kde-dldir "&kde-version;">
614<!ENTITY kde-download-http "http://download.kde.org/stable/">
615<!ENTITY kde-download-ftp "ftp://ftp.kde.org/pub/kde/stable/">
616<!ENTITY kde-dir-var "KDE_PREFIX">
617<!ENTITY kde-dir "$&kde-dir-var;">
618<!ENTITY automoc4-version "0.9.88">
619<!ENTITY phonon-version "4.6.0">
620<!ENTITY phonon-backend-gstreamer-version "4.6.2">
621<!ENTITY phonon-backend-vlc-version "0.6.0">
622<!ENTITY attica-version "0.4.1">
623<!ENTITY akonadi-version "1.9.0">
624<!ENTITY qimageblitz-version "0.0.6">
625<!ENTITY shared-desktop-ontologies-version "0.10.0">
626<!ENTITY polkit-qt-version "0.103.0">
627<!ENTITY polkit-kde-agent-version "0.99.0">
628
629<!-- Part VIII -->
630
631<!ENTITY gnome-version "3.6">
632<!ENTITY gnome-minor-version ".2">
633<!-- this is used by old gnome-2, which will be going, and by deprecated gnome,
634 which will be staying for a little while -->
635<!ENTITY gnome-old-etc-dir "/etc/gnome/2.30.2">
636<!ENTITY gnome-download-http "http://ftp.gnome.org/pub/gnome/sources">
637<!ENTITY gnome-download-ftp "ftp://ftp.gnome.org/pub/gnome/sources">
638
639<!-- Chapter 30 -->
640
641<!-- Platform -->
642<!ENTITY accountsservice-version "0.6.30">
643<!ENTITY polkit-gnome-version "0.105">
644<!ENTITY gnome-doc-utils-version "0.20.10">
645<!ENTITY yelp-xsl-version "3.6.1">
646<!ENTITY libgnome-keyring-version "3.6.0">
647<!ENTITY libsecret-version "0.11">
648<!ENTITY gsettings-desktop-schemas-version "3.6.1">
649<!ENTITY dconf-version "0.14.1">
650<!ENTITY GConf-version "3.2.5">
651<!ENTITY gcr-version "3.6.2">
652<!ENTITY libgee-version "0.6.6.1">
653<!ENTITY libgweather-version "3.6.2">
654<!ENTITY libwnck-version "3.4.4">
655<!ENTITY libgnomekbd-version "3.6.0">
656<!ENTITY libgtop-version "2.28.4">
657<!ENTITY libwacom-version "0.6">
658<!ENTITY gnome-online-accounts-version "3.6.2">
659<!ENTITY libgdata-version "0.13.2">
660<!ENTITY evolution-data-server-version "3.6.2">
661<!ENTITY libzeitgeist-version "0.3.18">
662<!ENTITY folks-version "0.8.0">
663<!ENTITY gnome-js-common-version "0.1.2">
664<!ENTITY gjs-version "1.34.0">
665<!ENTITY seed-version "3.2.0">
666<!ENTITY libpeas-version "1.6.1">
667<!ENTITY gtksourceview-version "3.6.1">
668<!ENTITY gtkhtml-version "4.6.1">
669<!ENTITY totem-pl-parser-version "3.4.3">
670<!ENTITY vte-version "0.34.2">
671
672<!-- Desktop -->
673<!ENTITY gnome-backgrounds-version "3.6.1">
674<!ENTITY gnome-icon-theme-version "3.6.2">
675<!ENTITY gnome-icon-theme-extras-version "3.6.2">
676<!ENTITY gnome-icon-theme-symbolic-version "3.6.2">
677<!ENTITY gnome-themes-standard-version "3.6.2">
678<!ENTITY gnome-video-effects-version "0.4.0">
679<!ENTITY gnome-desktop-version "3.6.2">
680<!ENTITY gnome-keyring-version "3.6.2">
681<!ENTITY gnome-menus-version "3.6.1">
682<!ENTITY gnome-panel-version "3.6.2">
683<!ENTITY gvfs-version "1.14.2">
684<!ENTITY nautilus-version "3.6.2">
685<!ENTITY nautilus-sendto-version "3.6.0">
686<!ENTITY gnome-screensaver-version "3.6.1">
687<!ENTITY gnome-power-manager-version "3.6.0">
688<!ENTITY gnome-bluetooth-version "3.6.1">
689<!ENTITY gnome-user-share-version "3.0.4">
690<!ENTITY gnome-settings-daemon-version "3.6.3">
691<!ENTITY gnome-control-center-version "3.6.3">
692<!ENTITY gnome-terminal-version "3.6.1">
693<!ENTITY zenity-version "3.6.0">
694<!ENTITY metacity-version "2.34.13">
695<!ENTITY network-manager-applet-version "0.9.6.4">
696<!ENTITY caribou-version "0.4.4.2">
697<!ENTITY mutter-version "3.6.2">
698<!ENTITY gnome-shell-version "3.6.2">
699<!ENTITY gnome-session-version "3.6.2">
700<!ENTITY gnome-user-docs-version "3.6.2">
701<!ENTITY yelp-version "3.6.2">
702
703<!-- System Services -->
704<!ENTITY gdm-version "3.6.2">
705
706<!-- Chapter 31 -->
707<!-- Applications -->
708<!ENTITY aisleriot-version "3.6.2">
709<!ENTITY alacarte-version "3.6.1">
710<!ENTITY baobab-version "3.6.3">
711<!ENTITY brasero-version "3.6.1">
712<!ENTITY cheese-version "3.6.2">
713<!ENTITY empathy-version "3.6.2">
714<!ENTITY eog-version "3.6.2">
715<!ENTITY epiphany-version "3.6.1">
716<!ENTITY epiphany-extensions-version "3.6.0">
717<!ENTITY evince-version "3.6.1">
718<!ENTITY evolution-version "3.6.2">
719<!ENTITY file-roller-version "3.6.2">
720<!ENTITY gcalctool-version "6.6.2">
721<!ENTITY gedit-version "3.6.2">
722<!ENTITY gnome-color-manager-version "3.6.0">
723<!ENTITY gnome-contacts-version "3.6.1">
724<!ENTITY gnome-dictionary-version "3.6.0">
725<!ENTITY gnome-disk-utility-version "3.6.1">
726<!ENTITY gnome-games-version "3.6.1">
727<!ENTITY gnome-nettool-version "3.2.0">
728<!ENTITY gnome-screenshot-version "3.6.1">
729<!ENTITY gnome-search-tool-version "3.6.0">
730<!ENTITY gnome-system-log-version "3.6.1">
731<!ENTITY gnome-system-monitor-version "3.6.1">
732<!ENTITY gnome-tweak-tool-version "3.6.1">
733<!ENTITY gucharmap-version "3.6.1">
734<!ENTITY mousetweaks-version "3.6.0">
735<!ENTITY orca-version "3.6.2">
736<!ENTITY seahorse-version "3.6.3">
737<!ENTITY sound-juicer-version "3.4.0">
738<!ENTITY totem-version "3.6.3">
739<!ENTITY vinagre-version "3.6.2">
740<!ENTITY vino-version "3.6.2">
741
742<!-- Chapter 32 -->
743<!-- Deprecated -->
744<!ENTITY ORBit2-version "2.14.19">
745<!ENTITY libbonobo-version "2.32.1">
746<!ENTITY gnome-mime-data-version "2.18.0">
747<!ENTITY gnome-vfs-version "2.24.4">
748<!ENTITY libgnome-version "2.32.1">
749<!ENTITY libgnomecanvas-version "2.30.3">
750<!ENTITY libbonoboui-version "2.24.5">
751<!ENTITY libgnomeui-version "2.24.5">
752
753<!-- Xfce core -->
754<!ENTITY xfce4-version "4.10">
755<!ENTITY exo-version "0.8.0">
756<!ENTITY garcon-version "0.2.0">
757<!ENTITY gtk-xfce-engine-version "3.0.0">
758<!ENTITY libwnck2-version "2.30.7">
759<!ENTITY libxfce4ui-version "4.10.0">
760<!ENTITY libxfce4util-version "4.10.0">
761<!ENTITY libxfcegui4-version "4.10.0">
762<!ENTITY thunar-version "1.4.0">
763<!ENTITY thunar-volman-version "0.8.0">
764<!ENTITY tumbler-version "0.1.25">
765<!ENTITY xfce4-appfinder-version "4.10.0">
766<!ENTITY xfce4-panel-version "4.10.0">
767<!ENTITY xfce4-power-manager-version "1.2.0">
768<!ENTITY xfce4-session-version "4.10.0">
769<!ENTITY xfce4-settings-version "4.10.0">
770<!ENTITY xfconf-version "4.10.0">
771<!ENTITY xfdesktop-version "4.10.0">
772<!ENTITY xfwm4-version "4.10.0">
773
774<!-- Xfce apps -->
775<!ENTITY midori-version "0.4.5">
776<!ENTITY parole-version "0.2.0.6">
777<!ENTITY terminal-version "0.4.8">
778<!ENTITY vte2-version "0.28.2">
779<!ENTITY xfburn-version "0.4.3">
780<!ENTITY xfce4-notifyd-version "0.2.2">
781
782<!-- Part X -->
783<!-- Chapter 35 -->
784<!ENTITY AbiWord-version "2.9.3">
785<!ENTITY gnumeric-version "1.10.17">
786<!ENTITY gnucash-version "2.4.11">
787
788<!ENTITY libreoffice-version "3.6.4">
789<!ENTITY libreoffice-patch ".3">
790<!ENTITY libreoffice-dlversion "&libreoffice-version;&libreoffice-patch;">
791
792<!-- Chapter 36 -->
793<!ENTITY seamonkey-version "2.13.2">
794<!ENTITY firefox-version "&xulrunner-version;">
795
796<!-- Chapter 37 -->
797<!ENTITY balsa-version "2.4.12">
798<!ENTITY blueman-version "1.23">
799<!ENTITY ekiga-version "4.0.0">
800<!ENTITY gparted-version "0.14.1">
801<!ENTITY gnash-version "0.8.10">
802<!ENTITY gimp-version "2.8.2">
803<!ENTITY icedtea-web-version "1.3">
804<!ENTITY inkscape-version "0.48.4">
805<!ENTITY pan-version "0.133">
806<!ENTITY pidgin-version "2.10.6">
807<!ENTITY rox-filer-version "2.11">
808<!ENTITY thunderbird-version "16.0.1">
809<!ENTITY transmission-version "2.75">
810<!ENTITY xchat-version "2.8.8">
811<!ENTITY xdg-utils-version "1.1.0-rc1">
812
813<!-- Part XI -->
814<!-- Chapter 38 -->
815<!ENTITY alsa-download-http "http://gd.tuwien.ac.at/opsys/linux/alsa">
816<!ENTITY alsa-download-ftp "ftp://ftp.alsa-project.org/pub">
817<!ENTITY alsa-version "1.0.26">
818<!ENTITY alsa-lib-version "1.0.26">
819<!ENTITY alsa-plugins-version "1.0.26">
820<!ENTITY alsa-utils-version "1.0.26">
821<!ENTITY alsa-tools-version "1.0.25">
822<!ENTITY alsa-firmware-version "1.0.25">
823<!ENTITY alsa-oss-version "1.0.25">
824<!ENTITY audiofile-version "0.3.4">
825<!ENTITY esound-version "0.2.41">
826<!ENTITY faac-version "1.28">
827<!ENTITY faad2-version "2.7">
828<!ENTITY farstream-version "0.2.2">
829<!ENTITY flac-version "1.2.1">
830<!ENTITY gstreamer-version "0.10.36">
831<!ENTITY gst-plugins-base-version "0.10.36">
832<!ENTITY gst-plugins-good-version "0.10.31">
833<!ENTITY gst-plugins-bad-version "0.10.23">
834<!ENTITY gst-plugins-ugly-version "0.10.19">
835<!ENTITY gst-ffmpeg-version "0.10.13">
836<!ENTITY gstreamer10-version "1.0.5">
837<!ENTITY gst10-plugins-base-version "1.0.5">
838<!ENTITY gst10-plugins-good-version "1.0.5">
839<!ENTITY gst10-plugins-bad-version "1.0.5">
840<!ENTITY gst10-plugins-ugly-version "1.0.5">
841<!ENTITY gst10-libav-version "1.0.5">
842<!ENTITY liba52-version "0.7.4">
843<!ENTITY libao-version "1.1.0">
844<!ENTITY libcanberra-version "0.30">
845<!ENTITY libdiscid-version "0.3.0">
846<!ENTITY libdvdcss-version "1.2.12">
847<!ENTITY libdvdread-version "4.2.0">
848<!ENTITY libdvdnav-version "4.2.0">
849<!ENTITY libdv-version "1.0.0">
850<!ENTITY libmad-version "0.15.1b">
851<!ENTITY libmpeg2-version "0.5.1">
852<!ENTITY libmpeg3-version "1.8">
853<!ENTITY libmusicbrainz-version "2.1.5">
854<!ENTITY libmusicbrainz3-version "3.0.3">
855<!ENTITY libmusicbrainz5-version "5.0.1">
856<!ENTITY libogg-version "1.3.0">
857<!ENTITY libquicktime-version "1.2.4">
858<!ENTITY libsamplerate-version "0.1.8">
859<!ENTITY libsndfile-version "1.0.25">
860<!ENTITY libtheora-version "1.1.1">
861<!ENTITY libvorbis-version "1.3.3">
862<!ENTITY libvpx-version "1.1.0">
863<!ENTITY opal-version "3.10.9">
864<!ENTITY pulseaudio-version "3.0">
865<!ENTITY sdl-version "1.2.15">
866<!ENTITY soundtouch-version "1.7.1">
867<!ENTITY speex-version "1.2rc1">
868<!ENTITY taglib-version "1.7.2">
869<!ENTITY xine-lib-version "1.2.2">
870<!ENTITY xvid-version "1.3.2">
871
872<!-- Chapter 39 -->
873<!ENTITY mpg123-version "1.14.4">
874<!ENTITY vorbistools-version "1.4.0">
875<!ENTITY lame-version "3.99.5">
876<!ENTITY CDParanoia-version "III-10.2">
877<!ENTITY freetts-version "1.2.2">
878<!ENTITY audacious-version "3.3.2">
879<!ENTITY audacious-plugins-version "3.3.2">
880<!ENTITY amarok-version "2.6.0">
881<!ENTITY gvolwheel-version "1.0">
882
883<!-- Chapter 40 -->
884<!ENTITY dvb-apps-version "2012-06-10">
885<!ENTITY ffmpeg-version "1.0">
886<!ENTITY mplayer-version "1.1">
887<!ENTITY xine-ui-version "0.99.7">
888<!ENTITY transcode-version "1.1.7">
889<!ENTITY vlc-version "2.0.5">
890
891<!-- Chapter 41 -->
892<!ENTITY cdrdao-version "1.2.3">
893<!ENTITY dvd-rw-tools-version "7.1">
894<!ENTITY k3b-version "2.0.2">
895<!ENTITY libburn-version "1.2.6">
896<!ENTITY libisoburn-version "1.2.6">
897<!ENTITY libisofs-version "1.2.6">
898
899<!-- Part XII -->
900<!-- Chapter 42 -->
901<!ENTITY cups-version "1.6.1">
902<!ENTITY cups-filters-version "1.0.29">
903<!ENTITY LPRng-version "3.8.B">
904<!ENTITY gs-version "9.06">
905<!ENTITY gutenprint-version "5.2.9">
906
907<!-- Chapter 43 -->
908<!ENTITY sane-version "1.0.23">
909<!ENTITY sane-fe-version "1.0.14">
910<!ENTITY xsane-version "0.998">
911
912<!-- Chapter 44 -->
913<!ENTITY sgml-common-version "0.6.3">
914<!ENTITY sgml-dtd-3-version "3.1">
915<!ENTITY sgml-dtd-version "4.5">
916<!ENTITY opensp-version "1.5.2">
917<!ENTITY openjade-version "1.3.2">
918<!ENTITY docbook-dsssl-version "1.79">
919<!ENTITY docbook-utils-version "0.6.14">
920
921<!-- Chapter 45 -->
922<!ENTITY DocBook-version "4.5">
923<!ENTITY docbook-xsl-version "1.77.1">
924<!ENTITY itstool-version "1.2.0">
925<!ENTITY xmlto-version "0.0.25">
926
927<!-- Chapter 46 -->
928<!ENTITY a2ps-version "4.14">
929<!ENTITY enscript-version "1.6.4">
930<!ENTITY psutils-version "p17">
931<!ENTITY gsview-version "4.8">
932<!ENTITY xpdf-version "3.02">
933<!ENTITY epdfview-version "0.1.8">
934<!ENTITY fop-version "1.1">
935<!ENTITY paps-version "0.6.8">
936
937<!-- Removed
938<!ENTITY libgxps-version "0.2.2">
939-->
940
941<!-- Chapter 47 -->
942<!ENTITY texlive-version "20120701">
943<!ENTITY jadetex-version "3.13">
944
Note: See TracBrowser for help on using the repository browser.